# CullingVolume

#### new Cesium.CullingVolume(planes)
Scene/CullingVolume.js 28

  The culling volume defined by planes.

  Name | Type | Description
  --- | --- | ---
  `planes` | Array.<Cartesian4> | optional An array of clipping planes.

### Members

#### planes : Array.<Cartesian4>
Scene/CullingVolume.js 36

  Each plane is represented by a Cartesian4 object, where the x, y, and z components define the unit vector normal to the plane, and the w component is the distance of the plane from the origin.
  Default Value: `[]`

### Methods

#### staticCesium.CullingVolume.fromBoundingSphere(boundingSphere, result) → CullingVolume
Scene/CullingVolume.js 56

  Constructs a culling volume from a bounding sphere. Creates six planes that create a box containing the sphere. The planes are aligned to the x, y, and z axes in world coordinates.

  Name | Type | Description
  --- | --- | ---
  `boundingSphere` | BoundingSphere | The bounding sphere used to create the culling volume.
  `result` | CullingVolume | optional The object onto which to store the result.

  ##### Returns:

  The culling volume created from the bounding sphere.

#### computeVisibility(boundingVolume) → Intersect
Scene/CullingVolume.js 117

  Determines whether a bounding volume intersects the culling volume.

  Name | Type | Description
  --- | --- | ---
  `boundingVolume` | Object | The bounding volume whose intersection with the culling volume is to be tested.

  ##### Returns:

  Intersect.OUTSIDE, Intersect.INTERSECTING, or Intersect.INSIDE.